<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Tables and Forms</title>
</head>


<body>

    <header>
        <h1>HTML Tables and Forms</h1>
    </header>

    <main>

        <section>
            <h2>HTML Entities</h2>
            <p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

            <!-- Defines an HTML table -->
            <table border="1">
                <!-- Used to group table header content -->

                <thead>
                    <!-- Defines a table row -->
                    <tr>
                        <!-- Defines a table header element -->
                        <th colspan="2">Entity</th>
                        <th>Decription</th>
                    </tr>
                </thead>

                <!-- Defines the tables body content -->
                <tbody>
                    <tr>
                        <!-- Defines a table data element -->
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>double quotation mark</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quotation mark (apostrophe)</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>lower tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>upper tilde</td>
                    </tr>
                </tbody>
                <!-- Used to group table footer content -->
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>


        <hr>

        <section>
            <h2>HTML Forms</h2>
            <p><em>Input Elements that make up a form.</em></p>

            <!-- Create an HTML to capture user input -->
            <!-- "action" attribute is used to define where the information will be sent upon submission -->
            <form action="https://www.google.com/">
                <!-- 
            Different ypes of cases:
            PascalCase = First letter of eash word is in uppercase (functions in Javascript)
            camelCase = First letter of second letter is in uppercase(variables)
            snake_case = Use underscore to separate the word (variables)
            kebab-case = use dash/hypen to seperate the word (commonly used in CSS)
         -->


                <!-- Creaste a label and allows for input field selection when clicked -->
                <label for="full_name">Full Name:</label>

                <!-- - <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.
            - <input> tag - creates a form input element to capture user input. This creates an inline element.
            - The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works.
            - The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field.
            - The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
            - The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.
            - The "autocomplete" attribute will pro
            - The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works.-->



                <!-- Create an input field to capture user input -->
                <input type="text" name="full_name" id="full_name" required autocomplete> <br>
                <label for="birth_date">Birthday Date:</label>
                <input type="date" name="birth_date" id="birth_date" required> <br>

                <label for="age">Age:</label>
                <input type="number" name="age" id="age" required> <br>

                <label for="gender">Gender</label>
                <select name="gender" id="gender">
                    <option value="none" selected disabled></option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                    <option value="Rather not to say">Rather not to Say</option>
                </select> <br>

                <label for="notes">Notes:</label>
                <textarea name="notes" id="notes" rows="5"></textarea> <br>

                <label for="">New User:</label>
                <input type="radio" name="new_user" id="user-type1" value="yes">
                <label for="user-type1">Yes</label>

                <input type="radio" name="new_user" id="user-type2" value="No">
                <label for="user-type2">No</label> <br>

                <label for="">Role:</label>

                <input type="checkbox" name="role1" id="role1" value="developer">
                <label for="role1">Developer</label>

                <input type="checkbox" name="role1" id="role2" value="developer">
                <label for="role2">Student</label>

                <input type="checkbox" name="role1" id="role3" value="developer">
                <label for="role3">Manager</label>

                <br><br>
                <!-- Create a button that will submit for data -->

                <!-- Creates a button that will -->

                <button type="submit">Submit</button>
                <button type="reset">Reset</button>

            </form>
        </section>

    </main>


</body>

</html>